
Foreman - Bug #16483

Searching for Puppetclass by config_group or hostgroup is broken

09/08/2016 04:19 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Puppet integration   

Target version: 1.12.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1428522 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3826

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1365165 

Steps to Reproduce:

 1. Go https://foreman/puppetclasses

 2. Search for config_group = bla

 
Actual results:

 Search does not work, see attached screenshots

 
Expected results:

 Classes in that config_group show up

Related issues:

Related to Foreman - Bug #11881: Searching for 'puppet' in Puppet Classes tak... Closed 09/18/2015

Associated revisions

Revision 550de71f - 09/11/2016 08:44 AM - Shlomi Zadok

Fixes #16483 - Remove deprecated 'search_by_name'

from Puppetclass

Revision d2687c29 - 09/12/2016 11:39 AM - Shlomi Zadok

Fixes #16483 - Remove deprecated 'search_by_name'

from Puppetclass

(cherry picked from commit 550de71fb91d978598c47ef81ccaf4cef4fc4ff9)

Revision 1957064e - 09/19/2016 12:27 PM - Shlomi Zadok

Fixes #16483 - Remove deprecated 'search_by_name'

from Puppetclass

(cherry picked from commit 550de71fb91d978598c47ef81ccaf4cef4fc4ff9)

History

#1 - 09/08/2016 04:19 AM - Ondřej Pražák

- Subject changed from Searching for Puppetclass by config_group or hostgroup is broken

 to Searching for Puppetclass by config_group or hostgroup is broken

- Category changed from PuppetCA to Puppet integration

#2 - 09/08/2016 04:19 AM - Ondřej Pražák

- File 1-puppetclass-search.png added

- File 1-search-result.png added
#3 - 09/08/2016 04:20 AM - Ondřej Pražák

- Priority changed from High to Normal

- Target version set to 115

#4 - 09/08/2016 04:22 AM - Dominic Cleal

- Related to Bug #11881: Searching for 'puppet' in Puppet Classes takes long added

#5 - 09/08/2016 04:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3826 added

#6 - 09/08/2016 04:58 AM - Shlomi Zadok

- Target version changed from 115 to 1.5.3

#7 - 09/11/2016 09:02 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 550de71fb91d978598c47ef81ccaf4cef4fc4ff9.

#8 - 09/12/2016 03:43 AM - Dominic Cleal

- translation missing: en.field_release set to 181

#9 - 03/02/2017 02:00 PM - Daniel Lobato Garcia

- Bugzilla link changed from 1365165 to 1428522
